classification
Title: PEP 3121, 384 Refactoring applied to md5 module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, gregory.p.smith, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 08:56 by Robin.Schreiber, last changed 2020-09-07 13:43 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
md5_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 08:56
Messages (2)
msg168360 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 08:56
Changes proposed in PEP3121 and PEP384 have now been applied to the md5 module!
msg376481 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-07 13:43
Fixed by:

New changeset 63f102fe079ecb5cb7b921a1cf8bce4077a9d7e2 by Mohamed Koubaa in branch 'master':
bpo-1635741: Port _sha1, _sha512, _md5 to multiphase init (GH-21818)
https://github.com/python/cpython/commit/63f102fe079ecb5cb7b921a1cf8bce4077a9d7e2
History
Date User Action Args
2020-09-07 13:43:50vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg376481
resolution: duplicate
stage: resolved
2012-11-08 13:47:31Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:46:04belopolskylinkissue15787 dependencies
2012-08-16 08:56:34Robin.Schreibercreate